Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
個人用カタログ
ユーザー属性に応じたルールを指定することができるAPIです。 ユーザーが具体的なルールの条件をすべて満たした場合、パーソナライズされたアイテムが表示されます。
パーソナライズされたプロモーションについては、プロモーションセクションを参照してください。
購入前に属性を渡すには、Xsolla Login APIを使うか、Pay Station APIを使ってトークンを生成する際にそれをuser.attributesプロパティに渡します。
追加フィールドのリスト。これらのフィールドは、リクエストの中で送信すると、応答に含まれます。
ISO 3166-1 alpha-2に従った2文字の大文字の国名コード。エクソーラがサポートする国と国を決定するプロセスに関する詳細情報については、ドキュメントを確認してください。
- Mock serverhttps://xsolla.redocly.app/_mock/ja/api/shop-builder/v2/project/{project_id}/items/virtual_items
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_items
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ja/api/shop-builder/v2/project/44056/items/virtual_items?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "has_more": true, "items": [ { … }, { … }, { … } ] }
- Mock serverhttps://xsolla.redocly.app/_mock/ja/api/shop-builder/v2/project/{project_id}/items/virtual_items/all
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_items/all
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ja/api/shop-builder/v2/project/44056/items/virtual_items/all?locale=en&promo_code=WINTER2021' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'すべての仮想アイテムのリストは正常に受信されました。
{ "items": [ { … }, { … }, { … } ] }
リクエスト
カタログを作成するために、指定されたグループからアイテムリストを取得します。
すべてのプロジェクトで、応答で取得できるアイテム数に制限があります。デフォルトおよび最大値は、1応答50アイテムです。ページごとにさらに多くのデータを取得するには、「制限」と「オフセット」フィールドを使用します。
このエンドポイントは認証なしでアクセスでき、一般的なデータを返します。しかし、認証は、利用可能なユーザー制限やプロモーションのような、パーソナライズされた結果のためのユーザー固有の詳細で応答の質を高めます。
追加フィールドのリスト。これらのフィールドは、リクエストの中で送信すると、応答に含まれます。
ISO 3166-1 alpha-2に従った2文字の大文字の国名コード。エクソーラがサポートする国と国を決定するプロセスに関する詳細情報については、ドキュメントを確認してください。
- Mock serverhttps://xsolla.redocly.app/_mock/ja/api/shop-builder/v2/project/{project_id}/items/virtual_items/group/{external_id}
- https://store.xsolla.com/api/v2/project/{project_id}/items/virtual_items/group/{external_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ja/api/shop-builder/v2/project/44056/items/virtual_items/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'指定されたグループのリストは正常に受信されました。
{ "has_more": false, "items": [ { … }, { … } ] }